<?php
namespace Smi\Model;

use Think\Model;

header("Content-type:text/html;charset=utf-8");
class CarouselCityModel extends Model
{
    /**
     * 保存表单、文件
     * @return mix
     */
    public function saveForm()
    {
        $data = array();
        $data['id'] = I("id");
        if (I("sort")) $data['sort'] = I("sort");       
        if ($_FILES['img']['error'] != 4) {
            if ($data['id']) {
                $delFile = $this->where("`id`={$data['id']}")->getField("img");
            }
            $upload = new \Think\Upload();    // 实例化上传类    
            // $upload->maxSize = 3145728 ;    // 设置附件上传大小 
            // 设置附件上传类型       
            $upload->exts = array('jpg', 'gif', 'png', 'jpeg');
            $upload->rootPath = './Uploads/';    // 设置附件上传根目录 
            $upload->savePath = 'carouselCity/';    // 设置附件上传目录  
            $upload->autoSub = false;    //不要子文件夹
            // 上传文件
            $info = $upload->upload();
            if(!$info) {
                // 上传错误提示错误信息
                $this->error($upload->getError());die;
            }else{
                // 上传成功 获取上传文件信息
                $pic = $info['img']["savepath"] . $info['img']["savename"];
                $data['img'] = $pic;    // 修改数据对象
            }
        } elseif (!$data['id']) {
            alertMsg("请上传图片");
        }
        if (!$data['id']) {
            $result = $this->add($data);
        } else {
            $result = $this->save($data);
            if ($result) {
                @unlink("./Uploads/{$delFile}");    // 删除旧图
            }
        }
        return $result;
    }
}